/// <reference types="node" />
import { IncomingMessage } from 'http';
interface Options {
    enableCors?: boolean;
    onSuccess?: (stats: GitHubStats) => void;
    onFailure?: (error: IncomingMessage) => void;
}
interface Streak {
    best: number;
    current: number;
}
interface Contributions {
    best: number;
    total: number;
    current: number;
}
interface GitHubStats {
    streak: Streak;
    contributions: Contributions;
}
declare const fetchStats: (username: string, options?: Options) => Promise<GitHubStats>;
export { fetchStats, GitHubStats };
